/* file.h -- Functions to manipulate (copy, move, etc.) files. */
/* $Id: file.h,v 1.0 2002/04/05 06:51:35 eagle Exp $ */

#ifndef H_FILE
#define H_FILE

#include "config.h"
#include <sys/types.h>

/* Create a new file with the given name, owner, group, and permissions. */
extern int create_file(const char *file, uid_t owner, gid_t group,
                       mode_t mode);

/* Given a file path, create the directory if it doesn't exist. */
extern void create_directory(char *path);

/* Copy a file from one location to another. */
extern int copy(const char *sourcename, const char *destname);

/* Copy a file from one location to another, compressing it. */
extern int compress_file(const char *sourcename, const char *destname);

/* Rename a log to a unique name, returning that name. */
extern char *rename_unique(const char *filename);

/* Rename files ending in a number and .gz, only keeping a given number. */
extern int shuffle_files(const char *filename, int count);

#endif /* H_FILE */
